﻿# Créé par Elias Berrabah, le 16/11/2019 en Python 3.4
''' FICHE PRINCIPALE : Partie V. Bilan : créer une fonction tracer qui permet de tracer une fonction passée en paramètre. '''

from matplotlib.pyplot import *
from numpy import *
from utile import *

def f(x):
    return x**2

def g(x):
    return 2*x**2

def h(x):
    return -1*x**2

def tracer(f,depart,arrivee,pas):

    abscisses = arange(depart,arrivee,pas)
    ordonnees = f(abscisses)
    axesnormaux()
    plot(abscisses,ordonnees)

def tracer2(f,depart,arrivee,pas,style_ligne="-"):

    abscisses = arange(depart,arrivee,pas)
    ordonnees = f(abscisses)
    axesnormaux()
    plot(abscisses,ordonnees,linestyle=style_ligne)


def tracer_avec_legende(f,depart,arrivee,pas):

    nom = str(f).split(" ")[1]
    abscisses = arange(depart,arrivee,pas)
    ordonnees = f(abscisses)
    axesnormaux()
    plot(abscisses,ordonnees,label="{}".format(nom))
    legend(loc="upper right")




